<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RegistrationMetaDataDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RegistrationMetaDataDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationMetaDataDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/RegistrationIdDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/RegistrationMetaDataDTO.html" target="_top">Frames</a></li>
<li><a href="RegistrationMetaDataDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto</div>
<h2 title="Class RegistrationMetaDataDTO" class="title">Class RegistrationMetaDataDTO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.BaseDTO</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.RegistrationMetaDataDTO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">RegistrationMetaDataDTO</span>
extends <a href="../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">BaseDTO</a></pre>
<div class="block">This class contains the meta-information of the Registration</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dinesh Asokan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#RegistrationMetaDataDTO--">RegistrationMetaDataDTO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getApplicantTypeCode--">getApplicantTypeCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getCenterId--">getCenterId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getConsentOfApplicant--">getConsentOfApplicant</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getDeviceId--">getDeviceId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getGeoLatitudeLoc--">getGeoLatitudeLoc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getGeoLongitudeLoc--">getGeoLongitudeLoc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getMachineId--">getMachineId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getParentOrGuardianUINOrRID--">getParentOrGuardianUINOrRID</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getPreviousRID--">getPreviousRID</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getRegistrationCategory--">getRegistrationCategory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#getUin--">getUin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setApplicantTypeCode-java.lang.String-">setApplicantTypeCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;applicantTypeCode)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setCenterId-java.lang.String-">setCenterId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;centerId)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setConsentOfApplicant-java.lang.String-">setConsentOfApplicant</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;consentOfApplicant)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setDeviceId-java.lang.String-">setDeviceId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;deviceId)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setGeoLatitudeLoc-double-">setGeoLatitudeLoc</a></span>(double&nbsp;geoLatitudeLoc)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setGeoLongitudeLoc-double-">setGeoLongitudeLoc</a></span>(double&nbsp;geoLongitudeLoc)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setMachineId-java.lang.String-">setMachineId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;machineId)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setParentOrGuardianUINOrRID-java.lang.String-">setParentOrGuardianUINOrRID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parentOrGuardianUINOrRID)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setPreviousRID-java.lang.String-">setPreviousRID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;previousRID)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setRegistrationCategory-java.lang.String-">setRegistrationCategory</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationCategory)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/dto/RegistrationMetaDataDTO.html#setUin-java.lang.String-">setUin</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;uin)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RegistrationMetaDataDTO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RegistrationMetaDataDTO</h4>
<pre>public&nbsp;RegistrationMetaDataDTO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConsentOfApplicant--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConsentOfApplicant</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getConsentOfApplicant()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the consentOfApplicant</dd>
</dl>
</li>
</ul>
<a name="setConsentOfApplicant-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConsentOfApplicant</h4>
<pre>public&nbsp;void&nbsp;setConsentOfApplicant(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;consentOfApplicant)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>consentOfApplicant</code> - the consentOfApplicant to set</dd>
</dl>
</li>
</ul>
<a name="getGeoLatitudeLoc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeoLatitudeLoc</h4>
<pre>public&nbsp;double&nbsp;getGeoLatitudeLoc()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the geoLatitudeLoc</dd>
</dl>
</li>
</ul>
<a name="setGeoLatitudeLoc-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeoLatitudeLoc</h4>
<pre>public&nbsp;void&nbsp;setGeoLatitudeLoc(double&nbsp;geoLatitudeLoc)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>geoLatitudeLoc</code> - the geoLatitudeLoc to set</dd>
</dl>
</li>
</ul>
<a name="getGeoLongitudeLoc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeoLongitudeLoc</h4>
<pre>public&nbsp;double&nbsp;getGeoLongitudeLoc()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the geoLongitudeLoc</dd>
</dl>
</li>
</ul>
<a name="setGeoLongitudeLoc-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeoLongitudeLoc</h4>
<pre>public&nbsp;void&nbsp;setGeoLongitudeLoc(double&nbsp;geoLongitudeLoc)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>geoLongitudeLoc</code> - the geoLongitudeLoc to set</dd>
</dl>
</li>
</ul>
<a name="getRegistrationCategory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegistrationCategory</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRegistrationCategory()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the registrationCategory</dd>
</dl>
</li>
</ul>
<a name="setRegistrationCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRegistrationCategory</h4>
<pre>public&nbsp;void&nbsp;setRegistrationCategory(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationCategory)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registrationCategory</code> - the registrationCategory to set</dd>
</dl>
</li>
</ul>
<a name="getMachineId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMachineId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMachineId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the machineId</dd>
</dl>
</li>
</ul>
<a name="setMachineId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMachineId</h4>
<pre>public&nbsp;void&nbsp;setMachineId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;machineId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>machineId</code> - the machineId to set</dd>
</dl>
</li>
</ul>
<a name="getCenterId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCenterId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the centerId</dd>
</dl>
</li>
</ul>
<a name="setCenterId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCenterId</h4>
<pre>public&nbsp;void&nbsp;setCenterId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;centerId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>centerId</code> - the centerId to set</dd>
</dl>
</li>
</ul>
<a name="getPreviousRID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreviousRID</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPreviousRID()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the previousRID</dd>
</dl>
</li>
</ul>
<a name="setPreviousRID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreviousRID</h4>
<pre>public&nbsp;void&nbsp;setPreviousRID(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;previousRID)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>previousRID</code> - the previousRID to set</dd>
</dl>
</li>
</ul>
<a name="getUin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUin</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUin()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the uin</dd>
</dl>
</li>
</ul>
<a name="setUin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUin</h4>
<pre>public&nbsp;void&nbsp;setUin(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;uin)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uin</code> - the uin to set</dd>
</dl>
</li>
</ul>
<a name="getParentOrGuardianUINOrRID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentOrGuardianUINOrRID</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getParentOrGuardianUINOrRID()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parentOrGuardianUINOrRID</dd>
</dl>
</li>
</ul>
<a name="setParentOrGuardianUINOrRID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentOrGuardianUINOrRID</h4>
<pre>public&nbsp;void&nbsp;setParentOrGuardianUINOrRID(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parentOrGuardianUINOrRID)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentOrGuardianUINOrRID</code> - the parentOrGuardianUINOrRID to set</dd>
</dl>
</li>
</ul>
<a name="getDeviceId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeviceId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDeviceId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the deviceId</dd>
</dl>
</li>
</ul>
<a name="setDeviceId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeviceId</h4>
<pre>public&nbsp;void&nbsp;setDeviceId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;deviceId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deviceId</code> - the deviceId to set</dd>
</dl>
</li>
</ul>
<a name="getApplicantTypeCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplicantTypeCode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getApplicantTypeCode()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the applicantTypeCode</dd>
</dl>
</li>
</ul>
<a name="setApplicantTypeCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setApplicantTypeCode</h4>
<pre>public&nbsp;void&nbsp;setApplicantTypeCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;applicantTypeCode)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>applicantTypeCode</code> - the applicantTypeCode to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistrationMetaDataDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/dto/RegistrationIdDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dto/RegistrationMetaDataDTO.html" target="_top">Frames</a></li>
<li><a href="RegistrationMetaDataDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
